world
	view = 5
	turf = /turf/grass
	maxx=20 //Save us from making a map file.
	maxy=20
turf/grass/icon = 'grass.dmi'
mob/icon = 'person.dmi'
mob/var
	hp = 100
	maxhp = 100
	mp = 100
	maxmp = 100
obj/hud
	health
		layer = MOB_LAYER+1 // Make sure it goes over the mob.
		icon = 'globe.dmi'
		screen_loc = "1,1"
		icon_state = "100"
	mana
		layer = MOB_LAYER+1
		icon = 'globe.dmi'
		screen_loc = "11,1"
		icon_state = "100"
		New() // So we don't have to make a seperate icon for a blue globe..
			src.icon -= rgb(255,255,255)  // Strip it of color
			src.icon += rgb(0,0,255) // Color it blue
			var/icon/I = new(icon('globe.dmi',"0")) // Create a new outline (black oval)
			src.overlays += I // Add it to overlays.
mob/verb
	Subtract_HP() // For the demo, verbs to add/subract HP and MP.
		src.hp-=10
	Add_HP()
		src.hp+=10
	Subtract_MP()
		src.mp-=10
	Add_MP()
		src.mp+=10
mob
	Login()
		src.client.screen += new/obj/hud/health // Add new objects to client.screen.
		src.client.screen += new/obj/hud/mana
		Update_Status(src) // Run the proc to update the globes constantly.
		..()
proc/Update_Status(mob/M as mob)
	for(var/obj/hud/health/H in M.client.screen) // Loop through all health globes in client.screen..
		H.icon_state = num2text(round(M.hp/M.maxhp,0.1)*100) // And make their icon state equal to their health, rounded to the nearest 10%. (Ie: If their health is 453/500, it would round to 90%)
	for(var/obj/hud/mana/H in M.client.screen) // Same here, but for mana.
		H.icon_state = num2text(round(M.mp/M.maxmp,0.1)*100)
	spawn(2) // Spawn for a short while, and recall the proc.
		if(M) Update_Status(M)